POST /api/v3/hierarchy/place/availableCostCenters

For a list of topmost places, get associated topmost cost centers.

AvailableCostCentersForTopmostPlacesV3 Permissions: BuildingsAndOrganizations (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

Array of:

Type: integer (int32)

Example Request Body application/json
[
  1
]

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

CostCenterChild
Property Description Type
costCenterCode The cost center code string
costCenterId The cost center identifier integer (int32)
costCenterInfo The cost center info string
Example Response application/json
[
  {    "costCenterCode": "string",    "costCenterId": 1,    "costCenterInfo": "string"
  }
]